ros-jazzy-ament-cmake-google-benchmark (2.5.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 02 Jul 2024 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.5.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 27 Jun 2024 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.5.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.4.0-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.3.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.3.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.3.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.2.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.2.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.2.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.1.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.0.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.0.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (2.0.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.5.3-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Jul 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.4.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.3.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.3.0-1noble) noble; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.2.1-1noble) noble; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.2.0-1noble) noble; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.1.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.1.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.1.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 22:59:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.1.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 19:12:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.1.0-1noble) noble; urgency=high

  * Serialize benchmarks within CTest by default (#308 <https://github.com/ament/ament_cmake/issues/308>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.0.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.0.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.0.2-1noble) noble; urgency=high

  * Handle runtime failures in Google Benchmark (#294 <https://github.com/ament/ament_cmake/issues/294>)
    This change will handle runtime failures in Google Benchmark by
    propagating error information from Google Benchmark to both CTest and
    the Jenkins benchmark plugin.
  * Use consistent string format and resolve flake8 (#295 <https://github.com/ament/ament_cmake/issues/295>)
    Follow-up to a5fb3112b5c46c42b1824c96af4171d469eb13bf
  * Make ament_cmake_test a dep of ament_cmake_google_benchmark (#293 <https://github.com/ament/ament_cmake/issues/293>)
  * Catch JSONDecodeError and printout some debug info (#291 <https://github.com/ament/ament_cmake/issues/291>)
  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo, Scott K Logan, brawner

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.0.1-1noble) noble; urgency=high

  * Make AMENT_RUN_PERFORMANCE_TESTS a CMake option (#280 <https://github.com/ament/ament_cmake/issues/280>)
  * Skip performance tests using a CMake variable (#278 <https://github.com/ament/ament_cmake/issues/278>)
    These tests can be fairly heavy, so we don't want to run them by
    default. It would be better if there was a way to skip the tests by
    default in such a way that they could be specifically un-skipped at
    runtime, but I can't find a mechanism in CMake or CTest that would allow
    us to achieve that behavior without leveraging environment variables.
  * Handle Google Benchmark 'aggregate' results (#276 <https://github.com/ament/ament_cmake/issues/276>)
    Previously, I assumed all results generated by Google Benchmark were of
    'iteration' type. Now that I have more experience with Google Benchmark,
    I've started generating aggregate results, which contain some different
    properties.
    This change adds support for aggregate results and should make it easy
    to add any other result schemas we encounter in the future. For
    forward-compatibility, unsupported types will generate a warning message
    but will not fail the test. This makes the conversion tolerant to Google
    Benchmark adding new measures for existing mechanisms.
  * Initial Google Benchmark results conversion (#275 <https://github.com/ament/ament_cmake/issues/275>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Sep 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (1.0.0-1noble) noble; urgency=high

  * Handle missing results file for Google Benchmark (#265 <https://github.com/ament/ament_cmake/issues/265>)
  * Initial ament_cmake_google_benchmark package (#261 <https://github.com/ament/ament_cmake/issues/261>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 22 Jul 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.5-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 15:45:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.9.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 12:25:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.8.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.8.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.7.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Apr 2019 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 13 Jun 2018 00:00:00 -0000

ros-jazzy-ament-cmake-google-benchmark (0.4.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


